> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mixroute.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GPT-5.4 Nano

> GPT-5.4 Nano：単純なタスクの大量処理向けの低コスト推論モデル。

GPT-5.4 Nanoは、分類、抽出、ランキング、大量のサブエージェントタスク向けの、OpenAIで最も低価格なGPT-5.4クラスのモデルです。

以下のエンドポイントを使用し、MixRouteを通じて`gpt-5.4-nano`を呼び出します。

## 主な機能

* 400Kのコンテキストウィンドウ - 大量の入力コンテキストに対応
* 最大出力128K - 長い構造化結果に対応
* 推論の制御 - none、low、medium、high、xhighをサポート
* ResponsesとChat Completions - 両方のインターフェースで利用可能

## 簡単な使用例

<Tabs>
  <Tab title="cURL">
    ```bash theme={null}
    curl "https://api.mixroute.ai/v1/responses" \
      -H "Authorization: Bearer YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
      "model": "gpt-5.4-nano",
      "input": "Classify this request and return a short JSON result.",
      "reasoning": {"effort": "low"},
      "max_output_tokens": 256
    }'
    ```
  </Tab>

  <Tab title="Python">
    ```python theme={null}
    from openai import OpenAI

    client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.mixroute.ai/v1")

    response = client.responses.create(
        model="gpt-5.4-nano",
        input="Classify this request and return a short JSON result.",
        reasoning={"effort": "low"},
        max_output_tokens=256,
    )

    print(response.output_text)
    ```
  </Tab>
</Tabs>

## パラメータ

| パラメーター | 型 | 必須 | 説明 |
| - | - | - | - |
| `model` | string | はい | モデルID。`gpt-5.4-nano`である必要があります。 |
| `input` | string \| array | はい | テキスト、または構造化されたレスポンス入力。 |
| `max_output_tokens` | integer | いいえ | 最大出力トークン数。 |
| `reasoning` | object | いいえ | effortを含む推論の設定。 |
| `stream` | boolean | いいえ | SSEストリーミングを有効にします。 |
| `tools` | array | いいえ | モデルが利用できるツール。 |

## ベンダーの参考資料

* [OpenAI GPT-5.4 Nanoモデルページ](https://developers.openai.com/api/docs/models/gpt-5.4-nano)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.